# Poco

# class DigestIOS

Library: Foundation
Package: Crypt
Header: Poco/DigestStream.h

## Description

The base class for DigestInputStream and DigestOutputStream.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: DigestInputStream, DigestOutputStream

## Member Summary

Member Functions: rdbuf

## Constructors

### DigestIOS

DigestIOS(
DigestEngine & eng
);

### DigestIOS

DigestIOS(
DigestEngine & eng,
std::istream & istr
);

### DigestIOS

DigestIOS(
DigestEngine & eng,
std::ostream & ostr
);

## Destructor

### ~DigestIOS

~DigestIOS();

## Member Functions

### rdbuf

DigestBuf * rdbuf();

## Variables

### _buf

DigestBuf _buf;